Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 638026 - <media-gfx/graphviz-2.40.1-r1 depends on deprecated Qt4 (was: add Qt5 support)
Summary: <media-gfx/graphviz-2.40.1-r1 depends on deprecated Qt4 (was: add Qt5 support)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Graphics Project
URL: http://www.linuxfromscratch.org/patch...
Whiteboard:
Keywords:
Depends on: CVE-2014-9157
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2017-11-18 16:47 UTC by Andrius Štikonas
Modified: 2018-04-03 18:19 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrius Štikonas 2017-11-18 16:47:23 UTC
Qt4 will be removed from the tree in the not too distant future.

Can we add qt5 support to graphviz?
There is an upstream patch http://www.linuxfromscratch.org/patches/blfs/svn/graphviz-2.40.1-qt5-1.patch

Reproducible: Always
Comment 1 Andreas Sturmlechner gentoo-dev 2017-12-10 08:59:30 UTC
How upstream is this patch exactly? I can't see it pending on their old GitHub page, neither on their new Gitlab location.
Comment 2 Andrius Štikonas 2017-12-10 13:06:51 UTC
Hmm, indeed. It looks I was wrong, sorry. It seems to be downstream patch.
Comment 3 Andreas Sturmlechner gentoo-dev 2017-12-21 09:12:03 UTC
Upstream issue: https://gitlab.com/graphviz/graphviz/issues/1300
Comment 4 Andreas Sturmlechner gentoo-dev 2017-12-25 18:50:57 UTC
Builds and starts fine for me.
Comment 5 Larry the Git Cow gentoo-dev 2018-01-07 13:43:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=466764e2d192316be446ceb1a2b760c223fab7fc

commit 466764e2d192316be446ceb1a2b760c223fab7fc
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-01-07 10:42:55 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-01-07 13:42:40 +0000

    media-gfx/graphviz: Switch USE qt4 to qt5
    
    Bug: https://bugs.gentoo.org/638026
    Package-Manager: Portage-2.3.19, Repoman-2.3.6

 media-gfx/graphviz/files/graphviz-2.40.1-qt5.patch | 127 ++++++++++
 media-gfx/graphviz/graphviz-2.40.1-r1.ebuild       | 278 +++++++++++++++++++++
 2 files changed, 405 insertions(+)}
Comment 6 augustin 2018-01-17 06:49:27 UTC
#error Qt requires a C++11 compiler and yours does not seem to be that
http://linux.overshoot.tv/media-gfx/graphviz
Fixed with:
# export CXXFLAGS=-std=c++11
# emerge -a1 media-gfx/graphviz
Comment 7 Andreas Sturmlechner gentoo-dev 2018-01-17 08:26:20 UTC
Don't link to your site. Attach your build.log here.
Comment 8 Gary Stein 2018-01-29 18:16:55 UTC
(In reply to augustin from comment #6)
> #error Qt requires a C++11 compiler and yours does not seem to be that
> http://linux.overshoot.tv/media-gfx/graphviz
> Fixed with:
> # export CXXFLAGS=-std=c++11
> # emerge -a1 media-gfx/graphviz

I agree this seems to fix it.

I added a line to src_prepare in my ebuild:
use qt5 && append-cxxflags $(test-flags-CXX -std=c++11)

which resolved my issue with compiling against qt5 with gcc 5.4
Comment 9 augustin 2018-01-29 23:16:15 UTC
I confirm that I was using gcc 5.4. We are a bit late in upgrading to gcc 6 which does include C++11 by default. This is the key in triggering the bug. It's up to the maintainers to decide how to handle this: 1) require GCC 6; 2) use Gary's fix; 3) ignore. 

I don't think the requested build log would provide any additional, useful information.
Comment 10 Andreas Sturmlechner gentoo-dev 2018-02-28 18:04:22 UTC
Guys, this is how a proper bug looks like: bug 648764

This can be fixed, but also bear in mind that <GCC-6 are masked in 17.0 profile for a reason, and the news item mentioned upgrading to GCC-6 also for a good reason.
Comment 11 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2018-04-03 18:19:00 UTC
ebuilds <2.40.1-r1 have been removed from the tree.